# Menu

## Props

<!-- @vuese:Menu:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|etat|Permet de déterminer si on est dans le mode mise à jour ou pas|—|`false`|-|
|variante|Booléen pour savoir si la variante du menu Banque/Panier est active ou pas|—|`false`|-|
|auteur|Auteur connecté|—|`false`|-|
|recalculerNotif|Booléen permettant le recalcul des notifications|—|`false`|-|

<!-- @vuese:Menu:props:end -->


## Events

<!-- @vuese:Menu:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|menu_choisi|-|-|

<!-- @vuese:Menu:events:end -->


## Methods

<!-- @vuese:Menu:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|choixMenuAnnexe|Gestion du clic sur un des éléments du menu 'auteur' (en haut à droite)|-|
|evaluations|Gestion du clic sur le menu des évaluations. Sera, a terme, intégré dans choisMenuAnnexe.|-|
|choixIconeNotification|Gestion du clic sur l'icone de notification|-|
|publicationsRecues|Fonction de calcul de présence de notification dans le cadre des mises à jour recues (de contenu perso ou de contenu tiers)|-|
|publicationsProposees|Fonction de calcul de présence de notification dans le cadre des mises à jour proposées (dont l'état n'est plus en cours)|-|
|majTiers|(A construire) Fonction de calcul du nombre de maj tiers disponibles|-|

<!-- @vuese:Menu:methods:end -->


## Watch

<!-- @vuese:Menu:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|auteur|Dès que l'auteur est trasmis à cette page, on calcule ses opportunités de maj et on configure la notification en fonction|-|
|recalculerNotif|Recalcul des opportunités de maj et on configure la notification en fonction après action dans le menu maj (fonctionne actuellement pas)|-|

<!-- @vuese:Menu:watch:end -->


